unit UDemo;

interface

uses
  System.SysUtils, System.Classes, WEBLib.Graphics, WEBLib.Forms, WEBLib.Dialogs,
  Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls, VCL.TMSFNCTypes, VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, VCL.TMSFNCCustomControl,
  VCL.TMSFNCCustomScrollControl, VCL.TMSFNCGridData, VCL.TMSFNCCustomGrid,
  VCL.TMSFNCGrid, VCL.TMSFNCStyles, js, WEBLib.Controls, VCL.TMSFNCTreeViewBase,
  VCL.TMSFNCTreeViewData, VCL.TMSFNCCustomTreeView, VCL.TMSFNCTreeView,
  VCL.TMSFNCPlannerBase, VCL.TMSFNCPlannerData, VCL.TMSFNCPlanner,
  VCL.TMSFNCListEditor, VCL.TMSFNCToolBar, Vcl.Imaging.pngimage, WEBLib.ExtCtrls;

type
  TForm40 = class(TWebForm)
    TMSFNCGrid1: TTMSFNCGrid;
    WebButton1: TWebButton;
    TMSFNCTreeView1: TTMSFNCTreeView;
    TMSFNCPlanner1: TTMSFNCPlanner;
    WebButton2: TWebButton;
    TMSFNCListEditor1: TTMSFNCListEditor;
    TMSFNCToolBar1: TTMSFNCToolBar;
    TMSFNCToolBarButton1: TTMSFNCToolBarButton;
    TMSFNCToolBarFontNamePicker1: TTMSFNCToolBarFontNamePicker;
    TMSFNCToolBarSeparator1: TTMSFNCToolBarSeparator;
    TMSFNCToolBarColorPicker1: TTMSFNCToolBarColorPicker;
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    WebLabel3: TWebLabel;
    WebLabel9: TWebLabel;
    procedure WebButton1Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
  end;

var
  Form40: TForm40;

implementation

{$R *.dfm}

uses
  Web;

procedure TForm40.WebButton1Click(Sender: TObject);
var
  b: Boolean;
begin
  if (Sender as TButton).Tag = 1 then
    CSSStyleFileName := 'fnc2.css'
  else
    CSSStyleFileName := 'fnc.css';

  TMSFNCGrid1.AdaptToStyle := True;
  TMSFNCTreeView1.AdaptToStyle := True;
  TMSFNCPlanner1.AdaptToStyle := True;
  TMSFNCListEditor1.AdaptToStyle := True;
  TMSFNCToolBar1.AdaptToStyle := True;
  TMSFNCToolBarButton1.AdaptToStyle := True;
  TMSFNCToolBarFontNamePicker1.AdaptToStyle := True;
  TMSFNCToolBarSeparator1.AdaptToStyle := True;
  TMSFNCToolBarColorPicker1.AdaptToStyle := True;

  b := (Sender as TButton).Tag = 1;
  asm
    if (b){
      document.getElementById("MyDiv").className = "TMSFNCGridStyleBlue TMSFNCMemoStyleBlue TMSFNCButtonStyleBlue TMSFNCEditStyleBlue TMSFNCHeaderItemStyleBlue"
      document.getElementById("MyButton").className = "TMSFNCGridStyleBlue TMSFNCMemoStyleBlue TMSFNCButtonStyleBlue TMSFNCEditStyleBlue TMSFNCHeaderItemStyleBlue"
      document.getElementById("MyList").className = "TMSFNCGridStyleBlue TMSFNCMemoStyleBlue TMSFNCButtonStyleBlue TMSFNCEditStyleBlue TMSFNCHeaderItemStyleBlue"
    }
    else{
      document.getElementById("MyDiv").className = "TMSFNCGridStyleOrange TMSFNCMemoStyleOrange TMSFNCButtonStyleOrange TMSFNCEditStyleOrange TMSFNCHeaderItemStyleOrange";
      document.getElementById("MyButton").className = "TMSFNCGridStyleOrange TMSFNCMemoStyleOrange TMSFNCButtonStyleOrange TMSFNCEditStyleOrange TMSFNCHeaderItemStyleOrange";
      document.getElementById("MyList").className = "TMSFNCGridStyleOrange TMSFNCMemoStyleOrange TMSFNCButtonStyleOrange TMSFNCEditStyleOrange TMSFNCHeaderItemStyleOrange";
    }
  end;
end;

procedure TForm40.WebFormCreate(Sender: TObject);
begin
  TMSFNCGrid1.LinearFill;
  TMSFNCToolBar1.Appearance.FlatStyle := True;
  TMSFNCGrid1.LoadFromCSV('http://www.tmssoftware.biz/tmsweb/cars.csv');
  TMSFNCPlanner1.TimeLine.ViewStart := Now;
end;

end.
